"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Bot = void 0;
const Tools_1 = require("../Tools");
const CQCode_1 = require("../Tools/CQCode");
const Admin_1 = require("./modules/Admin");
const Command_1 = require("./modules/Command");
const Data_1 = require("./modules/Data");
const Debug_1 = require("./modules/Debug");
const Plugin_1 = require("./modules/Plugin");
class Bot {
    constructor(name, dirname, filename) {
        /** CQ码 */
        this.CQCode = CQCode_1.CQCode;
        this.Data = new Data_1.Data(this, name);
        this.Log = new Tools_1.Log(name);
        this.Plugin = new Plugin_1.Plugin(this, dirname, filename);
        this.Admin = new Admin_1.Admin(this);
        this.Command = new Command_1.Command(this);
        this.Debug = new Debug_1.Debug(this);
    }
}
exports.Bot = Bot;
