import { GroupMsg, Prevent, PrivateMsg } from '../..';
import { Bot } from '../Bot';
import NamedRegExp = require('named-regexp-groups');
export declare class Command {
    constructor(Bot: Bot);
    private Bot;
    /** 命令列表 */
    list: Comm[];
    /** 增加命令 */
    command(name: string): SetComm;
}
export declare class Comm {
    constructor(name: string);
    comm: string[];
    reg: RegExp | NamedRegExp;
    admin: boolean;
    desc: string;
    group: string;
    fn: {
        group: ((e: GroupMsg) => Prevent)[];
        private: ((e: PrivateMsg) => Prevent)[];
    };
    whitelist: Set<number>;
    blacklist: Set<number>;
}
export declare class SetComm {
    constructor(Bot: Bot, comm: Comm, repeat: boolean, plugin?: boolean);
    private Bot;
    private comm;
    private repeat;
    private plugin;
    /** 增加指令别名 */
    alias(name: string): void;
    /** 增加命令描述，重复调用会被覆盖 */
    desc(text: string): this;
    /** 增加正则规则，调用后命令名将会失效 */
    reg(reg: RegExp | NamedRegExp): this;
    /** 是否为管理员指令 */
    admin(flag?: boolean): this;
    /** 设置命令分类 */
    group(name: string): this;
    /** 增加命令处理方法，可添加多个 */
    action(type: 'private', fn: (e: PrivateMsg) => Prevent): this;
    action(type: 'group', fn: (e: GroupMsg) => Prevent): this;
    /** 增加白名单列表，请勿和黑名单同时使用 */
    white(list: number[]): this;
    /** 增加黑名单列表，请勿和白名单同时使用 */
    black(list: number[]): this;
}
export declare const setCommLister: (Bot: Bot, comm: Comm) => void;
