import { Bot } from '../Bot';
export declare class Data {
    constructor(Bot: Bot, name: string);
    private Bot;
    /**
     * Bot名称
     */
    readonly name: string;
    /**
     * Bot的登录QQ
     */
    userId: number;
    /**
     * Bot的配置
     */
    config: {
        admin: {
            ban: string;
            group_lift_ban: string;
            private_lift_ban: string;
        };
    };
    /**
     * 群名缓存
     */
    groupList: {
        [group_id: number]: string;
    };
    /**
     * 更新群名缓存
     */
    updateGroupsList(): Promise<void>;
    /**
     * 群员昵称缓存
     */
    groupMemberList: {
        [group_id: number]: {
            [uesr_id: number]: string;
        };
    };
    /**
     * 更新指定群组群员昵称缓存
     */
    updateGroupMemberList(group_id: number): Promise<void>;
    /**
     * 更新所有群组群员昵称缓存
     */
    updateAllGroupMemberList(): Promise<void>;
    /**
     * 好友昵称缓存
     */
    friendList: {
        [user_id: number]: string;
    };
    updateFriendList(): Promise<void>;
    /**
     * 是否显示Log输出
     */
    showLog: boolean;
    /**
     * 不显示Log输出的群组列表
     */
    noLogList: Set<number>;
    /**
     * 增加不显示Log输出的群组
     */
    setNoLog(list: number[]): void;
    /**
     * 不启用内置指令的群组列表
     */
    private _noCommList;
    set noCommList(list: Set<number>);
    get noCommList(): Set<number>;
    /**
     * 增加不启用内置指令的群组
     */
    setNoComm(list: number[]): void;
}
