"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Debug = void 0;
class Debug {
    constructor(Bot) {
        this.Bot = Bot;
    }
    set debug(debug) {
        this._debug = debug;
        if (this.debug) {
            this.Bot.Log.logWarning(`已开启debug模式，所有api调用都不会真正执行`, 'DEBUG');
        }
    }
    /** 是否为调试模式 */
    get debug() {
        return this._debug;
    }
    groupMsgTest(data, user_id, group_id) {
        let msg;
        if (typeof data === 'string') {
            msg = data;
        }
        let test = {
            time: Date.now(),
            self_id: 0,
            post_type: 'message',
            message_type: 'group',
            sub_type: 'normal',
            message_id: 1,
            group_id: group_id || 1,
            user_id: user_id || 1,
            anonymous: null,
            message: msg,
            raw_message: msg,
            font: 0,
            sender: {
                user_id: user_id || 1,
                nickname: 'test',
                card: '',
                sex: 'unknown',
                age: 0,
                area: '',
                level: '',
                role: 'member',
                title: ''
            }
        };
        if (typeof data !== 'string') {
            test = { ...test, ...data };
        }
        this.Bot.Conn.eventTest(test);
    }
    privateMsgTest(data, user_id) {
        let msg;
        if (typeof data === 'string') {
            msg = data;
        }
        const test = {
            time: Date.now(),
            self_id: 0,
            post_type: 'message',
            message_type: 'private',
            sub_type: 'friend',
            message_id: 1,
            user_id: user_id || 1,
            message: msg,
            raw_message: msg,
            font: 0,
            sender: {
                user_id: user_id || 1,
                nickname: 'test',
                sex: 'unknown',
                age: 0
            }
        };
        this.Bot.Conn.eventTest(test);
    }
}
exports.Debug = Debug;
