import { AnonymousPlugin } from '../../Type';
import { BotPlugin } from '../../Plugin/Plugin';
import { Bot } from '../Bot';
export declare class Plugin {
    constructor(bot: Bot, dir: string, filename: string);
    private Bot;
    /** 插件列表 */
    list: (BotPlugin | AnonymousPlugin)[];
    /** 本地设置保存位置 */
    readonly dirname: string;
    /** 本地设置文件名 */
    readonly filename: string;
    setConfig(name: string, config: any): void;
    getConfig<T>(name: string): T | any;
    getConfig<T extends {
        [key: string]: any;
    }, K extends string>(name: string, key: K): T[K];
    private saveFlag;
    saveConfig(): void;
    getPlugin<T extends BotPlugin | AnonymousPlugin>(name: string): Omit<T, 'init'> | undefined;
}
