import { ApiRes, Prevent, WebSocketConfig } from '..';
import { _GroupMsg, _PrivateMsg } from '../Type';
export declare class Connect {
    constructor(config?: WebSocketConfig);
    private wss;
    private accessToken;
    private host;
    private port;
    private reconnection;
    private reconnectionAttempts;
    private reconnectionDelay;
    private ready;
    private connectTimes;
    private _messageID;
    private get messageID();
    private nextMessageID;
    whitelist: Set<number>;
    blacklist: Set<number>;
    private setNextMessage;
    private handleMessage;
    private isSkip;
    private connect;
    private client;
    private connEventList;
    private errorEventList;
    private closeEventList;
    private messageEventList;
    private messageLogEvent;
    private nextMessageEventList;
    /**
     * 增加事件监听
     * message消息的log参数true时有最高优先度，同时用于控制被Ban拦截
     * 推荐使用Event类中的方法
     */
    addEvent(type: string, fn: (e?: any) => Prevent, log?: boolean): this;
    private getRes;
    /**
     * 获取消息监听器数量
     */
    getEventNum(): number;
    private APIList;
    /**
     * 获取队列中未完成的消息数量
     */
    getMessageNum(): number;
    /**
     * 使用HTTP API
     * 推荐使用API类中的方法
     */
    useAPI(apiName: string, params?: any, errorLog?: boolean): Promise<ApiRes>;
    /**
     * WebSocket收否已经连接
     */
    isConnect(): boolean;
    eventTest: (data: _PrivateMsg | _GroupMsg) => void;
}
