import { Bot } from '../Bot/Bot';
import { SetComm } from '../Bot/modules/Command';
export declare class Command {
    constructor(group: string, Bot: Bot);
    private Bot;
    private group;
    private _whitelist;
    private set whitelist(value);
    /** 为插件指令增加白名单列表，请勿和黑名单同时使用 */
    white(list: number[]): this;
    /** 获取白名单 */
    getWhitelist(): Readonly<number[]>;
    /** 移除白名单 */
    removeWhitelist(list: number[] | readonly number[]): void;
    private _blacklist;
    private set blacklist(value);
    /** 为插件指令增加黑名单列表，请勿和白名单同时使用 */
    black(list: number[]): this;
    /** 获取黑名单 */
    getBlacklist(): readonly number[];
    /** 移除黑名单 */
    removeBlacklist(list: number[] | readonly number[]): void;
    /** 增加命令 */
    command: (name: string) => Pick<SetComm, "black" | "white" | "desc" | "admin" | "alias" | "reg" | "action">;
}
