"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Mysql = void 0;
const mysql_1 = require("mysql");
class Mysql {
    constructor(config) {
        this.Pool = null;
        /**
         * 查询语句
         * @param sql
         * @param values
         */
        this.query = (sql, values = '') => {
            return new Promise((resolve, reject) => {
                if (this.Pool === null) {
                    reject(-1);
                }
                else {
                    this.Pool.getConnection((err, conn) => {
                        if (err) {
                            reject(err);
                        }
                        else {
                            conn.query(sql, values, (err, results) => {
                                if (err) {
                                    reject(err);
                                }
                                else {
                                    resolve(results);
                                }
                            });
                            conn.release();
                        }
                    });
                }
            });
        };
        this.Pool = mysql_1.createPool({
            // 允许多条查询
            multipleStatements: true,
            charset: 'utf8mb4',
            ...config
        });
    }
}
exports.Mysql = Mysql;
